using CloudBuilder.AI.Data;
using CloudBuilder.Gui;
using Krypton.Toolkit;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CloudBuilder.AI.Gui
{
    public partial class AiBookProcessDialogPage : AbstractPage
    {
        public AiBookProcessDialogPage()
        {
            InitializeComponent();
        }

        private void okBut_Click(object sender, EventArgs e)
        {
            this.ParentAbstractForm.OutputData = new AiBookProcessData()
            {
                Pattern = patternTxt.GetValue(),
                Encoding = encodingCombo.Text
            };

            this.ParentAbstractForm.DialogResult = DialogResult.OK;
        }

        private void cancelBut_Click(object sender, EventArgs e)
        {
            this.ParentAbstractForm.DialogResult = DialogResult.Cancel;
        }
    }
}
